Skip to main content
GET
Get bank accounts
v1 (legacy). This page documents the API before the v2 update. The v1 format is not enabled for new accounts and must be enabled on your account by your account manager. New integrations should use the current documentation. To update an existing integration, follow the migration guide.

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Query Parameters

userId
string

User id by which you want to filter.

Example:

"665f4084b96e4fb76f5a0e0c"

brokerId
string

Broker id by which you want to filter.

Example:

"655f4084b96e4fb76f5a0e6e"

country
enum<string>

Country by which you want to filter.

Available options:
MX,
PE,
CO
fiat
enum<string>

Fiat by which you want to filter.

Available options:
USD,
MXN,
PEN,
COP
CLABE
string

CLABE by which you want to filter.

Example:

"646770400400000001"

page
integer

Used to specify the current page you want to get in the paging results.

limit
integer

Used to specify the maximum number of records to be returned on a single page.

Response

OK

userId
string

Id of the user who owns the bank account.

Example:

"66562bc04fe8bf83c577c178"

createdAt
string

Creation date and time of the bank account.

Example:

"2024-05-31T13:55:11.452Z"

bankName
string

Name of the bank.

Example:

"BANAMEX"

country
enum<string>

Country of the bank.

Available options:
MX,
PE,
CO
accountHolderName
string

Name of the account holder.

Example:

"Account holder name"

fiat
enum<string>

Fiat currency of the bank account.

Available options:
USD,
MXN,
PEN,
COP
accountNumber
string

Number of the bank account.

Example:

"0123456789"

CLABE
string

The Standardized Bank Code (CLABE) associated with the bank account, used in Mexico.

Example:

"0023764000000012345"

CCI
string

Only for bank accounts in Peru.

Example:

"00111233001112345678"

approved
boolean

Indicates if the bank account has been approved.

Example:

true

notes
string

Notes about the bank account.

Example:

"Bank Account"

email
string

Only for MXN accounts held at NVIO.

advancedVerificationStatus
enum<string>

Advanced verification status of the bank account.

Available options:
initiated,
sent,
passed,
cancelled
id
string

Id of the bank account.

Example:

"6659d6bfd78151f639e74d53"

userName
string

Name of the user who owns the bank account.